Code Strategies
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's code strategies
GET /api/v2/strategy/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's code strategies
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the strategy
12Set true to enable signal generation
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)
BTCUSDT,ETHUSDTThe JavaScript code of the strategy
(()=>{ $.Strategy.action($.Action.LONG); })();Set true if you want to use price ($.Price) in code
trueThe id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)
12The symbol of the price (required if use_price is true)
BTCUSDTCode strategy created successfully
Missing required fields, invalid code, or strategy limit reached
Exchange or webhook not found
POST /api/v2/strategy/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 214
{
"name": "My strategy",
"folder_id": 12,
"send_signal": true,
"webhook_id": 12,
"symbol": "BTCUSDT,ETHUSDT",
"code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
"use_price": true,
"exchange_id": 12,
"price_symbol": "BTCUSDT"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Code strategy details with storage
Missing id
Strategy not found
GET /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the strategy
12Set true to enable signal generation
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)
BTCUSDT,ETHUSDTThe JavaScript code of the strategy
(()=>{ $.Strategy.action($.Action.LONG); })();Set true if you want to use price ($.Price) in code
trueThe id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)
12The symbol of the price (required if use_price is true)
BTCUSDTCode strategy updated successfully
SuccessMissing id, invalid code, or validation errors
Strategy, exchange, or webhook not found
PUT /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 214
{
"name": "My strategy",
"folder_id": 12,
"send_signal": true,
"webhook_id": 12,
"symbol": "BTCUSDT,ETHUSDT",
"code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
"use_price": true,
"exchange_id": 12,
"price_symbol": "BTCUSDT"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Code strategy deleted successfully
SuccessMissing id
Strategy not found
DELETE /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Strategy ID to duplicate
Code strategy duplicated successfully
Missing id or strategy limit reached
POST /api/v2/strategy/code/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to reset triggers
trueSet true to reset store
trueTriggers and/or storage reset successfully
SuccessMissing id, invalid options, or nothing to reset
Strategy not found
PUT /api/v2/strategy/code/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"resetTriggers": true,
"resetStore": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id, invalid status, status already set, or strategy limit reached
Strategy not found
PUT /api/v2/strategy/code/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to make the strategy public
truePublic visibility updated successfully
SuccessMissing id or invalid public flag
Strategy not found
PUT /api/v2/strategy/code/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"isPublic": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Storage deleted successfully
SuccessMissing id
Strategy not found
DELETE /api/v2/strategy/code/{id}/store HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Last updated